Bug 1576648 (CVE-2018-3719) - CVE-2018-3719 nodejs-mixin-deep: Prototype pollution via merging functions
Summary: CVE-2018-3719 nodejs-mixin-deep: Prototype pollution via merging functions
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2018-3719
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1576649
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 04:11 UTC by Sam Fowler
Modified: 2019-09-29 14:38 UTC (History)
1 user (show)

Fixed In Version: nodejs-mixin-deep 1.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-12 13:05:25 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-05-10 04:11:41 UTC
Versions of mixin-deep before 1.3.1 are vulnerable to prototype pollution via merging functions.


External References:

https://nodesecurity.io/advisories/578
https://hackerone.com/reports/311236

Comment 1 Sam Fowler 2018-05-10 04:12:01 UTC
Created nodejs-mixin-deep tracking bugs for this issue:

Affects: fedora-28 [bug 1576649]

Comment 2 Jared Smith 2018-05-10 12:21:09 UTC
This issue has been addressed in Rawhide with an upgrade to version 1.3.1, and an update has been proposed for F28: https://bodhi.fedoraproject.org/updates/FEDORA-2018-ab62814cee

Comment 3 Product Security DevOps Team 2019-07-12 13:05:25 UTC
ARRAY(0x55ab81ab9018)


Note You need to log in before you can comment on or make changes to this bug.